<nz-page-header nzBackIcon [nzTitle]="'Common.Extra.Store' | translate"></nz-page-header>

<nz-card *ngIf="offers">
  <nz-tabset nzTabPosition="{{ deviceDisplayType === 'full' ? 'left' : 'top' }}"
    (nzSelectedIndexChange)="onTabChanged($event)" [nzSelectedIndex]="currentTab" nzSize="size">


    <nz-tab *ngFor="let provider of offers" [nzTitle]="provider.name">
      <h1 style="text-align: center; ">
        {{ "Economy.Currencies.PurchaseGoldUsing" | translate }}: {{ provider.name }}
      </h1>

      <div *ngIf="provider.type === 'BinancePay' || provider.type === 'PiBrowser'">
        <nz-divider nzText="Offers"></nz-divider>
        <div style="text-align: center" *ngIf="provider.offers.length === 0">
          {{ "Economy.Currencies.NoOffersForSelectedPayment" | translate }}!
        </div>
        <div nz-row nzGutter="8" nzJustify="space-around">
          <div nz-col nzXs="24" nzSm="24" nzMd="12" nzLg="8" nzXl="6" nzXXl="4" *ngFor="let offer of provider.offers"
            (click)="selectOffer(provider.id, offer.id)" style="margin-bottom:8px">

            <nz-card style="text-align: center" nzHoverable nzTitle="{{ offer.price }} {{offer.priceCurrency}}"
              [style.border]="selectedOffer?.id === offer.id ? '3px solid green' : ''">
              {{ offer.amount }} <img src="assets/img/icons/currencies/gold.png" width="20" height="20" />
            </nz-card>
          </div>
        </div>

        <div *ngIf="selectedOffer">
          <nz-divider [nzText]="'Common.Extra.TermsOfService' | translate"></nz-divider>
          <div style="text-align: center">
            <label nz-checkbox [(ngModel)]="acceptedTos">{{ "Common.IAccept" | translate }}</label>
            <a href="/tos" target="_blank">{{ "Common.Extra.TermsOfService" | translate }}</a><br /><br />

            <button nz-button nzType="primary" [disabled]="!acceptedTos || isLoading === true" (click)="start(provider.type)"
              [nzLoading]="isLoading">
              {{ "Economy.Currencies.BeginPurchase" | translate }}
            </button>
          </div>
        </div>
      </div>
    </nz-tab>

    <nz-tab [nzTitle]="'Military.Battles.History' | translate">
      <app-store-history></app-store-history>
    </nz-tab>

  </nz-tabset>
</nz-card>
